@import url('https://fonts.googleapis.com/css2?family=Righteous&family=Sarala:wght@400;700&display=swap');

body{
 font-size: 100%;
 opacity: 0;
 color: #000000;
 animation-name: fadeIn;
 animation-duration: 1.1s;
 animation-timing-function: linear;
 animation-fill-mode: forwards;
background: linear-gradient(68.15deg, #2F2325 16.65%, #8E5D52 85.61%);
}

@keyframes fadeIn{
    0% {}
    60% {opacity: 1;}
    100% {opacity: 1;}
}

html{
  scroll-behavior:smooth
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  text-decoration: none;
}

.cabecalho {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: space-around;
  padding: 24px;
}

.cabecalho-imagem {
  height: 87px;
}

.cabecalho-menu {
  display: flex;
  gap: 32px;
}

.cabecalho-menu-item {
  font-family: 'Sarala', sans-serif;
  color: #FFF2E7;
  font-weight: 400;
  font-size: 18px
}

.cabecalho-menu-item:hover {
  color: #FFFF33;
}

.conteudo {
  margin-bottom: 48px;
  border-top: 0.4px solid #FFF2E7;
}

.conteudo-principal {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: space-around;
}

.conteudo-principal-escrito {
  display: flex;
  flex-direction: column;
  gap: 32px;
}

.conteudo-principal-escrito-titulo {
  font-family: 'Righteous', cursive;
  font-weight: 400;
  font-size: 64px;
  color: #FFF2E7;
}

.conteudo-principal-escrito-subtitulo {
  font-family: 'Sarala', sans-serif;
  font-weight: 400;
  font-size: 24px;
  color: #ECD6C4;
}

.conteudo-principal-escrito-botao {
  background-color: #ECD6C4;
  width: 180px;
  height: 60px;
  border: none;
  box-shadow: 4px 5px 4px rgba(0, 0, 0, 0.25);
  border-radius: 20px;
  font-family: 'Sarala', sans-serif;
  font-weight: 400;
  font-size: 24px;
  color: #2F2325;
}

.conteudo-principal-escrito-botao:hover {
  background-color: rgba(236, 214, 196, 0.53);
}

.conteudo-principal-imagem {
  height: 430px;
}

.conteudo-secundario {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 24px;
  margin-top: 48px;
}

.conteudo-secundario-titulo {
  border-top: 0.4px solid #FFF2E7;
  padding-top: 48px;
  font-family: 'Righteous', cursive;
  font-weight: 400;
  font-size: 24px;
  color: #FFF2EF;
  margin-bottom: 16px;
}

.conteudo-secundario-paragrafo {
  font-family: 'Sarala', sans-serif;
  font-weight: 300;
  font-size: 18px;
  color: #ECD6C4;
}

.rodape {
    padding: 32px;
    border-top: 0.4px solid #FFF2E7;
}

.rodape-imagem {
  height: 48px;
  display: block;
  margin: 0 auto;
}

/* main ideia part */

.titulo-mainidea {
  color: #FFF2E7;
  text-align: center;
  font-size: 64px;
}

.conteudo-principal-texto {
  color: #FFF2E7;
  font-size: 22px;
  text-align: center;
}


/* css pop-up */

body{
  font-family: sans-serif;   
  height: 100vh;
}
.modal{
  z-index:1;
  position: fixed;
  top:0;
  left:0;
  padding:0;
  display: flex;
  justify-content: center;
  align-items: center;
  width: 100%;
  height: 100%;
  background-color: rgba(0,0,0,0.5);
  opacity: 0;
  visibility: hidden;
  transform: scale(1.1);
  transition: visibility 0.25s ease-in-out , opacity 0.25s ease-in-out, transform 0.25s ease-in-out;   
}

.modal-content{
  
  background-color: white;
  padding: 16px 24px;    
  width: 384px;
  border-radius: 1rem;
}
.close-button{
 float: right;
 width: 24px;
 line-height: 24px;
 text-align: center;
 cursor: pointer;
 border-radius: 0.25rem;
 background-color: lightgray;
}
.close-button:hover{
  background-color: darkgray;
}

.show-modal{
  opacity: 1;
  visibility: visible;
  transform: scale(1.0);    
}

.Footer{
position:static;
bottom:0;
}

body {
  font-family: Arial, Helvetica, sans-serif;
  font-size: 20px;
}

#top {
  display: none;
  position: fixed;
  bottom: 20px;
  right: 30px;
  z-index: 999;
  font-size: 18px;
  border: none;
  outline: none;
  background-color: purple;
  color: yellow;
  cursor: pointer;
  padding: 15px;
  border-radius: 20px;
}

#top:hover {
  background-color: #555;
}